interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/r/python+linux/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 72497 characters]
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['48615']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:39:42 GMT']
      Server: [snooserv]
      Set-Cookie: ['loid=00000000000drjbkkw.2.1505363982277.Z0FBQUFBQlp1Z2dPaFZBSkRfcEE2ejVjczJJWkk1V1RMVnJRYnFTa1FfZzJwQ3BDb3BDY1dZM29WTU96NVBBbzlxV2FFWEJwUk1tbVR4UTY5Qng2RVZERnU1eG8yMHZQeVpmRVF6ck9lbTg0RTZZZUJsZ0FQUFlCdkpCM2VzS0U3Qkw4OGVpQ0VtQnY;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:39:42
          GMT; secure', 'session_tracker=v27QrppoNHBBlGeTDr.0.1505363982271.Z0FBQUFBQlp1Z2dPTkVTMG1SdldnSGlxbGN0eGNXSkNyR0p1OHRUWVF4MkJFTmgwYlpjc2VCRm5PeEJPVm9UNXUyYkg2Y0hxSWV6bjRYTXdWTXZrZVRQRTljZ0VSLTBQVkpweWltVUZTczl2OGpncmNmTzdBX0pqaXV0ZzdDX2taLXJXV3dsTUs2SlM;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:39:42
          GMT; secure', edgebucket=ZMZKbuQSHMcDuUOZEY; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1734-ORD]
      X-Timer: ['S1505363982.252382,VS0,VE467']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['loid=00000000000drjbkkw.2.1505363982277.Z0FBQUFBQlp1Z2dPaFZBSkRfcEE2ejVjczJJWkk1V1RMVnJRYnFTa1FfZzJwQ3BDb3BDY1dZM29WTU96NVBBbzlxV2FFWEJwUk1tbVR4UTY5Qng2RVZERnU1eG8yMHZQeVpmRVF6ck9lbTg0RTZZZUJsZ0FQUFlCdkpCM2VzS0U3Qkw4OGVpQ0VtQnY;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:39:42
          GMT; secure', 'session_tracker=v27QrppoNHBBlGeTDr.0.1505363982271.Z0FBQUFBQlp1Z2dPTkVTMG1SdldnSGlxbGN0eGNXSkNyR0p1OHRUWVF4MkJFTmgwYlpjc2VCRm5PeEJPVm9UNXUyYkg2Y0hxSWV6bjRYTXdWTXZrZVRQRTljZ0VSLTBQVkpweWltVUZTczl2OGpncmNmTzdBX0pqaXV0ZzdDX2taLXJXV3dsTUs2SlM;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:39:42
          GMT; secure', edgebucket=ZMZKbuQSHMcDuUOZEY; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=7k2snnCHuRC2wikiQK8knCjmAiM%2FYHe08h2X3x3ORoC%2BjYldPAN1OB%2Fmobri8YjrouWVzgnOAd0%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [edgebucket=ZMZKbuQSHMcDuUOZEY; loid=00000000000drjbkkw.2.1505363982277.Z0FBQUFBQlp1Z2dPaFZBSkRfcEE2ejVjczJJWkk1V1RMVnJRYnFTa1FfZzJwQ3BDb3BDY1dZM29WTU96NVBBbzlxV2FFWEJwUk1tbVR4UTY5Qng2RVZERnU1eG8yMHZQeVpmRVF6ck9lbTg0RTZZZUJsZ0FQUFlCdkpCM2VzS0U3Qkw4OGVpQ0VtQnY;
          session_tracker=v27QrppoNHBBlGeTDr.0.1505363982271.Z0FBQUFBQlp1Z2dPTkVTMG1SdldnSGlxbGN0eGNXSkNyR0p1OHRUWVF4MkJFTmgwYlpjc2VCRm5PeEJPVm9UNXUyYkg2Y0hxSWV6bjRYTXdWTXZrZVRQRTljZ0VSLTBQVkpweWltVUZTczl2OGpncmNmTzdBX0pqaXV0ZzdDX2taLXJXV3dsTUs2SlM]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/r/a+b/.json?limit=1024
  response:
    body: {string: '{"message": "Not Found", "error": 404}'}
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Length: ['38']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:39:43 GMT']
      Server: [snooserv]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1734-ORD]
      X-Timer: ['S1505363983.145249,VS0,VE38']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['session_tracker=v27QrppoNHBBlGeTDr.0.1505363983168.Z0FBQUFBQlp1Z2dQelB0cWRzeVlrN1VWQVdfNlhycUhxR3dNemJreFY2VzB4NVk2cXJOOC01emV1N2gtMnFwZzc4dXA0Q045UTNwRzhnVWJVUzBFVnJlX2EtQmdJQ3dsbEdOWDZ0eWpLa0NpUHRMZGF2bUpEQ2l6STZmZHJ3MzV2elV1aE1pZWc5WWs;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:39:43
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=qSvR51ksg3YjBFe1%2F%2FoaliTK3DXRU%2BllpxlCWJj%2BCKxDkC7jVRJZs0LiYF%2BxHD6mjhaRGoT5KbDqh35CgWm9%2FDGQOZNnXWcs']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 404, message: Not Found}
version: 1
